Autoprefixer

Is there any good instructions/documentation available for getting css autoprefixer to work with Php Storm on the Mac?. I activated the postcss plugin but there's no plugin available for autoprefixer currently.

Thanks.

2 comments
Comment actions Permalink

there is no built-in support for autoprefixer. If you miss it, please vote for https://youtrack.jetbrains.com/issue/WEB-37. But it can unlikely be expected in near future. As it's written in https://github.com/postcss/autoprefixer, Autoprefixer should be used in assets build tools. Text editor plugins are not a good solution, because prefixes decrease code readability and you will need to change value in all prefixed properties.

You can run it from the IDE using Grunt (https://www.npmjs.com/package/grunt-autoprefixer) or Gulp (https://github.com/sindresorhus/gulp-autoprefixer), for example.

0
Comment actions Permalink

Hi Elena,

OK thanks for your reply, I'll leave a vote for it. It's not essential but would be nice at some stage as a plugin rather than having to jump through hoops to deploy it.

0

Please sign in to leave a comment.